REST API

API Reference

Complete REST API documentation for CardSight's trading card infrastructure. RESTful design with predictable endpoints, comprehensive error handling, and JSON responses throughout.

This reference includes all available endpoints for card identification, catalog browsing, market pricing, and collection management. Each endpoint is documented with request parameters, response schemas, and example code. For a more interactive experience, explore our Swagger UI or use our type-safe SDKs.

Base URLs
All API requests should be made to these endpoints

REST API

https://api.cardsight.ai

MCP Endpoint (AI Assistants)

https://mcp.cardsight.ai
Authentication
All requests require an API key

Header Name

X-API-Key

Format

32-character Alphanumeric API Key

Example:
b5405bdf74c945769c6288202c6028ca

API Endpoints

Loading API documentation...

Code Examples

// Install: npm install axios form-data
const axios = require('axios');
const FormData = require('form-data');
const fs = require('fs');

const identifyCard = async (imagePath) => {
  try {
    const form = new FormData();
    form.append('image', fs.createReadStream(imagePath));

    const response = await axios.post(
      'https://api.cardsight.ai/v1/identify/card',
      form,
      {
        headers: {
          'X-API-Key': 'YOUR_API_KEY_WITHOUT_HYPHENS',
          ...form.getHeaders()
        }
      }
    );
    return response.data;
  } catch (error) {
    console.error('Error:', error.response?.data || error.message);
  }
};
Response Codes
200
Success
400
Bad Request
401
Unauthorized (Invalid API Key)
404
Not Found
429
Rate Limit Exceeded
500
Internal Server Error
Rate Limits

Free Tier

750 requests per month • 4 req/sec

Pro ($14.95/mo)

5,000 requests per month • 6 req/sec

Premium ($74.95/mo)

30,000 requests per month • 8 req/sec

Ultra ($199.95/mo)

100,000 requests per month • 10 req/sec

Need Help?

Explore our interactive documentation or get in touch

We use cookies to improve your experience and analyze site traffic. By clicking 'Accept', you agree to our use of cookies for analytics.